<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<body>

<h1>testador</h1>
<script type="text/javascript" src="funcoes.js"></script>
<script type="text/javascript" src="funcoesDataHora.js"></script>
<script type="text/javascript" src="servicos.js"></script>
<script type="text/javascript" src="funcoesMenus.js"></script>
<p id="demo"></p>
<input type="text" id="texto">
<button name="botao" onclick="clicou()">vlaw !</button>
<p id="result"></p>
<script type="text/javascript">

function clicou() {
	document.getElementById("result").innerHTML = gerarLog(); //concatenaAtachs(); //adicionaEvento(); //adicionaDados({"navegacao": "[P2] Seu problema foi resolvido? Digite 1 para Sim e 2 para Nao. 04" }, "navegacao", "[P3] Seu problema foi resolvido? Digite 1 para Sim e 2 para Nao. 04" ); // adicionaDados({"[P1] Seu problema foi resolvido? Digite 1 para Sim e 2 para Nao.": "04"}, "[P2] Seu problema foi resolvido? Digite 1 para Sim e 2 para Nao.", "04" ); // adicionaDadosNavegacao({"Respostas1": "123456", "Respostas2": "123456" }, "Respostas3", "123456");// adicionaDados({"[P1] Sua solicitacao foi atendida neste atendimento? Digite 2 para sim e 3 para nao": "05" }, "[P2] Seu problema foi resolvido? Digite 1 para Sim e 2 para Nao.", "04" );//adicionaDadosNavegacao({"Respostas1": "12345"}, "Respostas2", "123456"); // adicionaDados({"Respostas": "1234", "Respostas2", "123456"},"Respostas", "12345"); // criaObjeto('[P1] Sua solicitacao foi atendida neste atendimento? Digite 2 para sim e 3 para nao', '05'); //adicionaDados("Respostas", "1234");// getEventoNome("1");// adicionaEvento(); //getEventoNome("1"); //armazenarResposta_String(); // adicionaEvento(); //getEventoNome("1"); //criaDadosCliente(); //armazenarResposta_String();// armazenarResposta();// verificaNotaAtendimentoCorpOnline(); //verificaNotaAtendimentoMediasUmParam();// verificaNotaAtendimentoCorpOnlineUmParam(); //verifica_DDD_R2(); //verificaNotaAtendimentoEmpresarialP1(); //isForaHorarioEmpresarialMedias();//isForaHorarioEmpresarial();//isForaHorarioCorpOnline();//getDDDPesquisaCorpOnline(); //getTransfereEmpresarial(); //setParametrosDerivacao(texto.value); //armazenarResposta(); // verificaEmpresarial_DDD_R2(); //isForaHorario();// verificaCorpOnline_SkillSubGrupo(); //ehFeriado(); //verificaNotaAtendimentoCorpOnlineUmParam(); //verificaNotaAtendimentoCorpOnline(); //isForaHorario(); //verificaCartaoVinculado(); //concatenaDiasSemana("2", "6"); //isForaHorario();// ehFeriado(); //verificaNotaAtendimentoMediasUmParam();//armazenarResposta();//getMenuUraQualidadeConfirmarNota();//getMenuUraQualidadePergunta1();//verificaNotaAtendimento(); //verificaEmpresarial_P1_Ativa();//isForaHorario();//getDDDPesquisaEmpresarial('19');//getTransfereEmpresarial(); //ehFeriado(getFeriados());//formataDataAtual("ddMM"); //ehFeriado("1805", "0101;1702;1802;1805"); //logs(texto.value);
}

function logs(dado) {
	return "info : " +
	//JSON.stringify(removeDupes([["33862775941","PROPOSTA PF COM GRAVAME ATIVO2","TESTE A"]]));
	//trataDataInternacional('2018-05-04');
	//pegaProximoDiaUtilComParametros('061018', dadosC);
	//contratoValido(dadosC, '11019007049298');
	//isDentroHorario(false, '0800-1500;0000-0000;0000-0000');
	geraRelat();
}

function geraRelat() {
	var alf = ['A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','X','Y','W','Z'];
	var num = ['0','1','2','3','4','5','6','7','8','9'];
	var sa = '';
	var sb = '';
	for (var i=0; i < alf.length; i++) {
		for (var j=0; j < num.length; j++) {
			sa += alf[i] + num[j] + ';';
		}
	}
	for (var i=0; i < alf.length; i++) {
		for (var j=0; j < alf.length; j++) {
			sb += alf[i] + alf[j] + ';';
		}
	}
	
	return sa + sb;
}

var dadosC = {
		"ConsultaWL" : trataRetorno_ConsultaWL([["33862775941","PROPOSTA PF COM GRAVAME ATIVO2","TESTE A"]]),
		"WL" : {
			"TESTE A": {
				"C1": "TESTE A",
				"C2": "S",
				"C3": "teste A",
				"C4": 0,
				"C5": "N",
				"C6": "N",
				"C7": "N",
				"C8": "wl_testeA"
			},
			"TESTE B": {
				"C1": "TESTE B",
				"C2": "N",
				"C3": "teste B",
				"C4": 1,
				"C5": "S",
				"C6": "N",
				"C7": "S",
				"C8": "wl_testeB"
			},
			"TESTE C": {
				"C1": "TESTE C",
				"C2": "N",
				"C3": "teste C",
				"C4": 2,
				"C5": "S",
				"C6": "S",
				"C7": "N",
				"C8": "wl_testeC"
			}
		},		
		"ConsultaContratoPorCliente":{"contratos":[{"cdModalidadeProduto":"17","cdProduto":"11","cdRetornaAtendimento":"0","cdSituacaoContrato":"1","dsEmail":"deal.asilva@bv.com.br","nuContratoGestao":"11019007049298","qtDiasAtraso":"0","tpCobrancaDebitoCheque":"N"},{"cdModalidadeProduto":"9","cdProduto":"12","cdRetornaAtendimento":"0","cdSituacaoContrato":"1","dsEmail":"deal.asilva@bv.com.br","nuContratoGestao":"12262000000943","qtDiasAtraso":"26","tpCobrancaDebitoCheque":"N"},{"cdModalidadeProduto":"6","cdProduto":"12","cdRetornaAtendimento":"0","cdSituacaoContrato":"1","dsEmail":"deal.asilva@bv.com.br","nuContratoGestao":"12070000047643","qtDiasAtraso":"162","tpCobrancaDebitoCheque":"N"}],"errorCode":"0","nuProtocolo":"20896191","status":"OK"},"DataHoraInicial":"20181009-112537","ambiente":"d","ani":"11950487640","app":"CRBV","documento":{"numero":"82634807015","tipo":"CPF","valido":true},"eventoOrigem":"","mesmaLigacao":false,"navegacao":"IDF_01.","numFax":"","numSMS":"","origem":"","parametros":{"paramA":"0709;1210;0211;1511;2512","paramB":"","paramF":"xz.vox","paramG":"1000;1800","paramH":"xx.vox","paramI":"xs.vox","paramJ":"xy.vox","paramM":"xm.vox","paramN":"xn.vox","paramO":"xo.vox","paramP":"12345;1000;1800","paramQ":"12345;1000;1800"},"profile":"IVRAppDefault","proxDiaUtil":""};

var solicitarCarne = {
	  "soapenv:Envelope": {
		    "@xmlns:soapenv": "http://schemas.xmlsoap.org/soap/envelope/",
		    "soapenv:Body": {
		      "ns:solicitarSegundaViaDeCarneResponse": {
		        "@xmlns:ns": "http://webservice.servicos.atendimento.bvsistemas.com.br",
		        "ns:return": {
		          "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.RetornoWebServiceDTO",
		          "@xmlns:ax281": "http://datatypes.servicos.atendimento.bvsistemas.com.br/xsd",
		          "ax281:conteudo": {
		            "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.AssessoriaFormatterDTO",
		            "ax281:dddTelefone": "0166233001",
		            "ax281:nmAssessoria": "YBERGGLP SVUQC - KLMQCUHJ BJLLRYCDV ZKBV YCJNBSNR"
		          },
		          "ax281:errorCode": "-20",
		          "ax281:errorMessage": "Identificamos que seu contrato encontra-se em Assessoria de Cobranca. Para regularizar seus pagamentos, por favor, entre em contato no telefone  016-6233001"
		        }
		      }
		    }
		  }
		};

var obterValoresParcela = {
		  "soapenv:Envelope": {
			    "@xmlns:soapenv": "http://schemas.xmlsoap.org/soap/envelope/",
			    "soapenv:Body": {
			      "ns:obterValoresParcelaResponse": {
			        "@xmlns:ns": "http://webservice.servicos.atendimento.bvsistemas.com.br",
			        "ns:return": {
			          "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.RetornoWebServiceDTO",
			          "@xmlns:ax281": "http://datatypes.servicos.atendimento.bvsistemas.com.br/xsd",
			          "ax281:conteudo": {
			            "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.ValorParcelaAbertoOUTDTO",
			            "ax281:cdAssessoria": {
			              "@xsi:nil": "true",
			              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
			            },
			            "ax281:dtVencimento": "2018-07-23",
			            "ax281:mensagemAssessoria": {
			              "@xsi:nil": "true",
			              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
			            },
			            "ax281:nuProtocolo": {
			              "@xsi:nil": "true",
			              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
			            },
			            "ax281:nuSolicitacao": "20895784",
			            "ax281:qtdeParcelaQuitacaoOUTDTO": [
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-05-04",
			                "ax281:nuParcelas": "1",
			                "ax281:qtdDiasAtraso": "80",
			                "ax281:valorQuitacao": "475,60"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-06-04",
			                "ax281:nuParcelas": "2",
			                "ax281:qtdDiasAtraso": "49",
			                "ax281:valorQuitacao": "425,69"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-07-04",
			                "ax281:nuParcelas": "3",
			                "ax281:qtdDiasAtraso": "19",
			                "ax281:valorQuitacao": "377,39"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-08-04",
			                "ax281:nuParcelas": "4",
			                "ax281:qtdDiasAtraso": "-12",
			                "ax281:valorQuitacao": "318,47"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-09-04",
			                "ax281:nuParcelas": "5",
			                "ax281:qtdDiasAtraso": "-43",
			                "ax281:valorQuitacao": "268,95"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-10-04",
			                "ax281:nuParcelas": "6",
			                "ax281:qtdDiasAtraso": "-73",
			                "ax281:valorQuitacao": "228,38"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-11-04",
			                "ax281:nuParcelas": "7",
			                "ax281:qtdDiasAtraso": "-104",
			                "ax281:valorQuitacao": "192,87"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2018-12-04",
			                "ax281:nuParcelas": "8",
			                "ax281:qtdDiasAtraso": "-134",
			                "ax281:valorQuitacao": "163,77"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2019-01-04",
			                "ax281:nuParcelas": "9",
			                "ax281:qtdDiasAtraso": "-165",
			                "ax281:valorQuitacao": "138,31"
			              },
			              {
			                "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.QtdeParcelaQuitacaoOUTDTO",
			                "ax281:dtParcelaOriginal": "2019-02-04",
			                "ax281:nuParcelas": "10",
			                "ax281:qtdDiasAtraso": "-196",
			                "ax281:valorQuitacao": "116,80"
			              }
			            ]
			          },
			          "ax281:errorCode": "-1",
			          "ax281:errorMessage": "sucesso"
			        }
			      }
			    }
			  }
			};

var retornaDadosContrato = {
	  "soapenv:Envelope": {
		    "@xmlns:soapenv": "http://schemas.xmlsoap.org/soap/envelope/",
		    "soapenv:Body": {
		      "ns:retornarDadosContratoResponse": {
		        "@xmlns:ns": "http://webservice.servicos.atendimento.bvsistemas.com.br",
		        "ns:return": {
		          "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.RetornoWebServiceDTO",
		          "@xmlns:ax281": "http://datatypes.servicos.atendimento.bvsistemas.com.br/xsd",
		          "ax281:conteudo": {
		            "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.ConsultarDadosContratoOUTDTO",
		            "ax281:cdModalidadeProduto": "22",
		            "ax281:cdMotivoFinanciero": "1",
		            "ax281:cdProduto": "10",
		            "ax281:cdSituacaoContrato": "2",
		            "ax281:dtProxVencimento": "2003-04-09",
		            "ax281:flAssesoria": "N",
		            "ax281:flAviso": "N",
		            "ax281:flBndu": "N",
		            "ax281:flCancelado": "N",
		            "ax281:flCheque": "N",
		            "ax281:flEntregaAmigavel": "N",
		            "ax281:flFraude": "N",
		            "ax281:nuContrato": "10014000000085",
		            "ax281:nuContratoLegado": "000808326",
		            "ax281:sqContratoFinanceiro": "1"
		          },
		          "ax281:errorCode": "0",
		          "ax281:errorMessage": "sucesso"
		        }
		      }
		    }
		  }
		};

var consultaContrato = {"ns:consultarContratosPorClienteResponse":{"@xmlns:ns":"http://webservice.servicos.atendimento.bvsistemas.com.br","ns:return":{"@xmlns:ax2409":"http://datatypes.servicos.atendimento.bvsistemas.com.br/xsd","@type":"br.com.bvsistemas.atendimento.servicos.datatypes.RetornoWebServiceDTO","ax2409:conteudo":{"@type":"br.com.bvsistemas.atendimento.servicos.datatypes.ContratoClienteOUTDTO","ax2409:cdModalidadeProduto":"8","ax2409:cdProduto":"12","ax2409:cdRetornaAtendimento":"0","ax2409:cdSituacaoContrato":"1","ax2409:dsEmail":"samantha.cheque@bancovotorantim.com.br","ax2409:nomeProduto":"CDC COM GARANTIA","ax2409:nuContratoGestao":"12262000000200","ax2409:nuContratoTools":"278000013","ax2409:nuProposta":"500366642","ax2409:nuProtocolo":"20908485","ax2409:nuTelefoneResponsavel":{"@xmlns:xsi":"http://www.w3.org/2001/XMLSchema-instance","@xsi:nil":"true"},"ax2409:qtDiasAtraso":"0","ax2409:tpCobrancaDebitoCheque":"N"},"ax2409:errorCode":"0","ax2409:errorMessage":"sucesso"}}};

var consultaContrato2 = {
	  "soapenv:Envelope": {
		    "@xmlns:soapenv": "http://schemas.xmlsoap.org/soap/envelope/",
		    "soapenv:Body": {
		      "ns:consultarContratosPorClienteResponse": {
		        "@xmlns:ns": "http://webservice.servicos.atendimento.bvsistemas.com.br",
		        "ns:return": {
		          "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.RetornoWebServiceDTO",
		          "@xmlns:ax278": "http://datatypes.servicos.atendimento.bvsistemas.com.br/xsd",
		          "ax278:conteudo": {
		            "@type": "br.com.bvsistemas.atendimento.servicos.datatypes.ContratoClienteOUTDTO",
		            "ax278:cdModalidadeProduto": "8",
		            "ax278:cdProduto": "12",
		            "ax278:cdRetornaAtendimento": "0",
		            "ax278:cdSituacaoContrato": "1",
		            "ax278:dsEmail": {
		              "@xsi:nil": "true",
		              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
		            },
		            "ax278:nomeProduto": "CDC COM GARANTIA",
		            "ax278:nuContratoGestao": "12034000227211",
		            "ax278:nuContratoTools": "600242515",
		            "ax278:nuProposta": "341113271",
		            "ax278:nuProtocolo": "203370396",
		            "ax278:nuTelefoneResponsavel": {
		              "@xsi:nil": "true",
		              "@xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance"
		            },
		            "ax278:qtDiasAtraso": "24",
		            "ax278:tpCobrancaDebitoCheque": "N"
		          },
		          "ax278:errorCode": "0",
		          "ax278:errorMessage": "sucesso"
		        }
		      }
		    }
		  }
		};
		
var formatos = {
		"dd" : function(data) {
				var dia = data.getDate();
				return dia < 10 ? "0" + dia : dia;
		},
		"MM" : function(data) {
			var mes = data.getMonth() + 1;
			return mes < 10 ? "0" + mes : mes;
		},
		"yyyy" : function(data) {
			return data.getFullYear();
		},
		"yy" : function(data) {
			return data.getFullYear().toString().substring(2,4);
		},		
		"hh" : function(data) {
			var h = data.getHours();
			return h < 10 ? "0" + h : h;
		},
		"mm" : function(data) {
			var m = data.getMinutes();
			return m < 10 ? "0" + m : m;
		},
		"ss" : function(data) {
			var s = data.getSeconds();
			return s < 10 ? "0" + s : s;
		},
		"ms" : function(data) {
			var ms = data.getMilliseconds();
			return ms < 100 ? (ms < 10 ? "00" + ms : "0" + ms) : ms;
		}
};

var cDiasSemana = ['Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado'];

function getDDDPesquisaCorpOnline(dadosCliente, ani) {
	var dadosCliente = {"Parametros" :{"DDD_PESQUISA_EMPRESARIAL" : "11;12;13;14;15;16;17;18;19;21;22;24;27;28;31;32;33;34;35;37;38;41;42;43;44;45;46;47;48;49;51;53;54;55;61;62;63;64;65;66;67;68;69;71;73;74;75;77;79;81;82;83;84;85;86;87;88;89;91;92;93;94;95;96;97;98;99"}};
	var DDD_PESQUISA_EMPRESARIAL = dadosCliente['Parametros']['DDD_PESQUISA_EMPRESARIAL'].split(';');
    var ani = "99958070717";
	var ddd = ani.substring(0,2);
	
	alert(DDD_PESQUISA_EMPRESARIAL + 'ddd'+ddd );
	
	if (DDD_PESQUISA_EMPRESARIAL != undefined) {
		if (DDD_PESQUISA_EMPRESARIAL.indexOf(ddd) >= 0) {
			return true;
		}
	}
	return false;
}

function verificaCorpOnline_SkillSubGrupo(dadosCliente){
	var ret = ''; 
	var dadosCliente = {"Parametros" :{
		"TLB_SKILL" : "CORP_OI_GESTOR",	
		}};
	var skill = dadosCliente['Parametros']['TLB_SKILL'];
	
	switch(skill){	
		case 'CORP_EVENTOS':
		case 'CORP_FIXO_TU':
		case 'CORP_MOVEL_TU':
		case 'CORP_OI_GESTOR':
		case 'CORP_ROAMING_INTER':
		case 'CORP_BLEND_PS_R1':
		case 'CORP_BLEND_PS_R2':
		case 'CORP_BLEND_NPS_R1':
		case 'CORP_BLEND_NPS_R2':		
			ret = 'true'
			break;
			default:
		ret = 'false';
		}
			return ret;
	}
	
	
function criaDadosCliente() {
	var ret = {};

	//ret['ani'] = AppState.ANI;	
	//ret['dnis'] = AppState.DNIS.substr(-4);	
	ret['startts'] = formataDataAtual("yyyyMMdd-hhmmss");
	ret['hourType'] = 'Horario normal';
	ret['app'] = appName;
	ret['vdn'] = '';
	return jsonLog(ret);
}




function jsonLog(json){
	
	return JSON.stringify(json);
	
}



	
function getAttachData(dadosCliente, ani, dadosDerivacao) {
	var ret = {};

    if (dadosDerivacao == undefined) {
		dadosDerivacao = {};
		dadosDerivacao['rp'] = "";
	}
	
	ret['telefoneOrigem'] = ani;
	ret['app'] = dadosCliente['app'];
	ret['startts'] = dadosCliente['startts'];
	ret['endts'] = formataDataAtual("yyyyMMdd-hhmmss");
	ret['hourType'] = dadosCliente['hourType'];
	ret['vdn'] = dadosDerivacao['rp'];
		
	return ret;
}

function getTransfereEmpresarial(dadosCliente) {
	
	var dadosCliente = {"Parametros" :{"03_TRANSFERE_EMPRESARIAL" : "S",}};	
	var TRANSFERE_EMPRESARIAL = dadosCliente['Parametros']['03_TRANSFERE_EMPRESARIAL'];
	
	alert(TRANSFERE_EMPRESARIAL);
		
	if (TRANSFERE_EMPRESARIAL != undefined) {
		if (TRANSFERE_EMPRESARIAL == 'S') {
			return true;
		}
	}
	return false;
}

function setParametrosDerivacao(dadosCliente, destino) {
	var ret = {};
	ret['ptderivacao'] = '';	
	ret['rp'] = '';
	
	//var destino = 'pesquisaEmpresarial_R1';
	var destino = destino;
	
	switch (destino) {
		case 'pesquisaEmpresarial_R1':
			ret['rp'] = '75731';
			break;
		case 'pesquisaEmpresarial_R2':
			ret['rp'] = '75732';
			break;
	}
		
	return jsonLog(ret);
}
function verificaCartaoVinculado(){
	
	var cartao =  "000" + 4320314100016119;
	var ultimosDigCartao = cartao.substring(15, 19);
	
	alert(ultimosDigCartao);
	return ultimosDigCartao;
}


function verifica_DDD_R2(dadosCliente,ani) {
	var dadosCliente = {"Parametros" :{"DDD_R2" : "41;42;43;44;45;46;47;48;49;51;53;54;55;61;62;63;64;65;66;67;68;69"}};
	var DDD_R2 = dadosCliente['Parametros']['DDD_R2'].split(';');
	var ani = "41958070717"
	var ddd = ani.substring(0,2);
	
	if (DDD_R2 != undefined) {
		if (DDD_R2.indexOf(ddd) >= 0) {
			return true;
		}
	}
	return false;
}

function verificaNotaAtendimentoEmpresarialP1(dadosCliente){
	//Valor inicial x = 8
	var dadosCliente = {"Parametros" :{
			"03_P1_EMPRESARIAL_VAL_DE" : "1",	
			"03_P1_EMPRESARIAL_VAL_AT" : "2",
		}};
	
	var notaIni = parseInt(dadosCliente['Parametros']['03_P1_EMPRESARIAL_VAL_DE']);
	var notaFim = parseInt(dadosCliente['Parametros']['03_P1_EMPRESARIAL_VAL_AT']);
	//var nota = parseInt(dadosCliente['NotaAtendPesquisaEmpresarial_P1']);
	var nota = parseInt('02');
			
	//return 'notaIni : ' + notaIni +  ' notafim : ' + notaFim + ' nota : ' + nota;
	
	if ((nota >= notaIni && nota <= notaFim )) {
		return true;
	}	
	return false;
	
}

function concatenaDiasSemana(diaAtendimentoInicio, diaAtendimentoFim) {
	var DiasSemana = "";
	
	for (var i=diaAtendimentoInicio; i <= diaAtendimentoFim; i++) {
		DiasSemana = DiasSemana + i;
	}
	return DiasSemana;
}

function isForaHorarioEmpresarialMedias(dadosCliente) {
	//0123456;0800,2100 // diasemana;hora
	//var parametro = dadosCliente['parametros']['paramL'];
	//var parametro = '0123456;0000,1000';
	var parametro = "";
	
	var dadosCliente = {"Parametros" :{
		"04_HOR_EMP_MEDIAS_ATIVA" : "S",
		"04_DIA_EMP_MEDIAS_INICIO" : "1",
		"04_DIA_EMP_MEDIAS_FINAL" : "5",
		"04_HOR_EMP_MEDIAS_INICIO" : "08:00",
		"04_HOR_EMP_MEDIAS_FINAL" : "19:30",
	}};
	var atendimentoAtivo =  dadosCliente['Parametros']['04_HOR_EMP_MEDIAS_ATIVA'].split(';');
	var diaAtendimentoInicio =  parseInt(dadosCliente['Parametros']['04_DIA_EMP_MEDIAS_INICIO'].split(';'));
	var diaAtendimentoFim =  parseInt(dadosCliente['Parametros']['04_DIA_EMP_MEDIAS_FINAL'].split(';'));
	var horaAtendimentoInicio = ""+ dadosCliente['Parametros']['04_HOR_EMP_MEDIAS_INICIO'].split(';');
	var horaAtendimentoFim = ""+ dadosCliente['Parametros']['04_HOR_EMP_MEDIAS_FINAL'].split(';');
	
	alert('atendimentoAtivo: ' + atendimentoAtivo + ' diaAtendimentoInicio: ' + diaAtendimentoInicio + ' diaAtendimentoFim: ' + diaAtendimentoFim + ' horaAtendimentoInicio: ' + horaAtendimentoInicio + ' horaAtendimentoFim: ' +horaAtendimentoFim);
	
	horaAtendimentoInicio = replaceAll(horaAtendimentoInicio, ":", "");
	horaAtendimentoFim = replaceAll(horaAtendimentoFim, ":", "");
	
	parametro = ((concatenaDiasSemana(diaAtendimentoInicio, diaAtendimentoFim))+";"+horaAtendimentoInicio+","+horaAtendimentoFim);
	
	alert('parametro'+parametro);
		
	if (parametro == '') { //se o parametro nao tiver valor assume que esta fora de horario
		return true;
	}
	
	var data = new Date(); 
	var diaSemana = data.getDay();
	var temp = parametro.split(";");
	var diaSemanaHabilitado = temp[0];
	var tempHora = temp[1].split(",");
	var horaIni = parseInt(tempHora[0], 10);
	var horaFim = parseInt(tempHora[1], 10);
	var horaAtual = parseInt(formataDataAtual("hhmm"), 10);
	alert('data: ' + data + ' diaSemana: ' + diaSemana + ' temp: ' + temp + ' diaSemanaHabilitado: ' + diaSemanaHabilitado + ' tempHora: ' + tempHora + ' horaIni: ' + horaIni + ' horaFim: ' + horaFim + ' horaAtual: ' + horaAtual);
	
	if (diaSemanaHabilitado.indexOf(diaSemana) == -1 || (horaAtual < horaIni || horaAtual > horaFim )) {
		return true;
	}	
	return false;
}

function isForaHorarioEmpresarial(dadosCliente) {
	//0123456;0800,2100 // diasemana;hora
	//var parametro = dadosCliente['parametros']['paramL'];
	//var parametro = '0123456;0000,1000';
	var parametro = "";
	
	var dadosCliente = {"Parametros" :{
		"03_HOR_EMPRESARIAL_ATIVA" : "S",
		"03_DIA_EMPRESARIAL_INICIO" : "1",
		"03_DIA_EMPRESARIAL_FINAL" : "5",
		"03_HOR_EMPRESARIAL_INICIO" : "08:00",
		"03_HOR_EMPRESARIAL_FINAL" : "19:30",
	}};
	var atendimentoAtivo =  dadosCliente['Parametros']['03_HOR_EMPRESARIAL_ATIVA'].split(';');
	var diaAtendimentoInicio =  parseInt(dadosCliente['Parametros']['03_DIA_EMPRESARIAL_INICIO'].split(';'));
	var diaAtendimentoFim =  parseInt(dadosCliente['Parametros']['03_DIA_EMPRESARIAL_FINAL'].split(';'));
	var horaAtendimentoInicio = ""+ dadosCliente['Parametros']['03_HOR_EMPRESARIAL_INICIO'].split(';');
	var horaAtendimentoFim = ""+ dadosCliente['Parametros']['03_HOR_EMPRESARIAL_FINAL'].split(';');
	
	alert('atendimentoAtivo: ' + atendimentoAtivo + ' diaAtendimentoInicio: ' + diaAtendimentoInicio + ' diaAtendimentoFim: ' + diaAtendimentoFim + ' horaAtendimentoInicio: ' + horaAtendimentoInicio + ' horaAtendimentoFim: ' +horaAtendimentoFim);
	
	horaAtendimentoInicio = replaceAll(horaAtendimentoInicio, ":", "");
	horaAtendimentoFim = replaceAll(horaAtendimentoFim, ":", "");
	
	parametro = ((concatenaDiasSemana(diaAtendimentoInicio, diaAtendimentoFim))+";"+horaAtendimentoInicio+","+horaAtendimentoFim);
	
	alert('parametro'+parametro);
		
	if (parametro == '') { //se o parametro nao tiver valor assume que esta fora de horario
		return true;
	}
	
	var data = new Date(); 
	var diaSemana = data.getDay();
	var temp = parametro.split(";");
	var diaSemanaHabilitado = temp[0];
	var tempHora = temp[1].split(",");
	var horaIni = parseInt(tempHora[0], 10);
	var horaFim = parseInt(tempHora[1], 10);
	var horaAtual = parseInt(formataDataAtual("hhmm"), 10);
	alert('data: ' + data + ' diaSemana: ' + diaSemana + ' temp: ' + temp + ' diaSemanaHabilitado: ' + diaSemanaHabilitado + ' tempHora: ' + tempHora + ' horaIni: ' + horaIni + ' horaFim: ' + horaFim + ' horaAtual: ' + horaAtual);
	
	if (diaSemanaHabilitado.indexOf(diaSemana) == -1 || (horaAtual < horaIni || horaAtual > horaFim )) {
		return true;
	}	
	return false;
}

function isForaHorarioCorpOnline(dadosCliente) {
	//0123456;0800,2100 // diasemana;hora
	//var parametro = dadosCliente['parametros']['paramL'];
	//var parametro = '0123456;0000,1000';
	var parametro = "";
	
	var dadosCliente = {"Parametros" :{
		"02_HOR_CORP_ONLINE_ATIVA" : "S",
		"02_DIA_CORP_ONLINE_INICIO" : "1",
		"02_DIA_CORP_ONLINE_FINAL" : "5",
		"02_HOR_CORP_ONLINE_INICIO" : "08:00",
		"02_HOR_CORP_ONLINE_FINAL" : "10:30",
	}};
	var atendimentoAtivo =  dadosCliente['Parametros']['02_HOR_CORP_ONLINE_ATIVA'].split(';');
	var diaAtendimentoInicio =  parseInt(dadosCliente['Parametros']['02_DIA_CORP_ONLINE_INICIO'].split(';'));
	var diaAtendimentoFim =  parseInt(dadosCliente['Parametros']['02_DIA_CORP_ONLINE_FINAL'].split(';'));
	var horaAtendimentoInicio = ""+ dadosCliente['Parametros']['02_HOR_CORP_ONLINE_INICIO'].split(';');
	var horaAtendimentoFim = ""+ dadosCliente['Parametros']['02_HOR_CORP_ONLINE_FINAL'].split(';');
	
	alert('atendimentoAtivo: ' + atendimentoAtivo + ' diaAtendimentoInicio: ' + diaAtendimentoInicio + ' diaAtendimentoFim: ' + diaAtendimentoFim + ' horaAtendimentoInicio: ' + horaAtendimentoInicio + ' horaAtendimentoFim: ' +horaAtendimentoFim);
	
	horaAtendimentoInicio = replaceAll(horaAtendimentoInicio, ":", "");
	horaAtendimentoFim = replaceAll(horaAtendimentoFim, ":", "");
	
	parametro = ((concatenaDiasSemana(diaAtendimentoInicio, diaAtendimentoFim))+";"+horaAtendimentoInicio+","+horaAtendimentoFim);
	
	alert('parametro'+parametro);
		
	if (parametro == '') { //se o parametro nao tiver valor assume que esta fora de horario
		return true;
	}
	
	var data = new Date(); 
	var diaSemana = data.getDay();
	var temp = parametro.split(";");
	var diaSemanaHabilitado = temp[0];
	var tempHora = temp[1].split(",");
	var horaIni = parseInt(tempHora[0], 10);
	var horaFim = parseInt(tempHora[1], 10);
	var horaAtual = parseInt(formataDataAtual("hhmm"), 10);
	alert('data: ' + data + ' diaSemana: ' + diaSemana + ' temp: ' + temp + ' diaSemanaHabilitado: ' + diaSemanaHabilitado + ' tempHora: ' + tempHora + ' horaIni: ' + horaIni + ' horaFim: ' + horaFim + ' horaAtual: ' + horaAtual);
	
	if (diaSemanaHabilitado.indexOf(diaSemana) == -1 || (horaAtual < horaIni || horaAtual > horaFim )) {
		return true;
	}	
	return false;
}

function isForaHorario(dadosCliente) {
	//0123456;0800,2100 // diasemana;hora
	//var parametro = dadosCliente['parametros']['paramL'];
	//var parametro = '0123456;0000,1000';
	var parametro = "";
	
	var dadosCliente = {"Parametros" :{
		"HOR_ATENDIMENTO_ATIVA" : "S",
		"DIA_ATENDIMENTO_INICIO" : "2",
		"DIA_ATENDIMENTO_FINAL" : "6",
		"HOR_ATENDIMENTO_INICIO" : "00:00",
		"HOR_ATENDIMENTO_FINAL" : "11:00",
	}};
	var atendimentoAtivo =  dadosCliente['Parametros']['HOR_ATENDIMENTO_ATIVA'].split(';');
	var diaAtendimentoInicio =  parseInt(dadosCliente['Parametros']['DIA_ATENDIMENTO_INICIO'].split(';'));
	var diaAtendimentoFim =  parseInt(dadosCliente['Parametros']['DIA_ATENDIMENTO_FINAL'].split(';'));
	var horaAtendimentoInicio = ""+ dadosCliente['Parametros']['HOR_ATENDIMENTO_INICIO'].split(';');
	var horaAtendimentoFim = ""+ dadosCliente['Parametros']['HOR_ATENDIMENTO_FINAL'].split(';');
	
	alert('atendimentoAtivo: ' + atendimentoAtivo + ' diaAtendimentoInicio: ' + diaAtendimentoInicio + ' diaAtendimentoFim: ' + diaAtendimentoFim + ' horaAtendimentoInicio: ' + horaAtendimentoInicio + ' horaAtendimentoFim: ' +horaAtendimentoFim);
	
	horaAtendimentoInicio = replaceAll(horaAtendimentoInicio, ":", "");
	horaAtendimentoFim = replaceAll(horaAtendimentoFim, ":", "");
	
	parametro = ((concatenaDiasSemana(diaAtendimentoInicio, diaAtendimentoFim))+";"+horaAtendimentoInicio+","+horaAtendimentoFim);
	
	alert('parametro'+parametro);
		
	if (parametro == '') { //se o parametro nao tiver valor assume que esta fora de horario
		return true;
	}
	
	var data = new Date(); 
	var diaSemana = data.getDay();
	var temp = parametro.split(";");
	var diaSemanaHabilitado = temp[0];
	var tempHora = temp[1].split(",");
	var horaIni = parseInt(tempHora[0], 10);
	var horaFim = parseInt(tempHora[1], 10);
	var horaAtual = parseInt(formataDataAtual("hhmm"), 10);
	alert('data: ' + data + ' diaSemana: ' + diaSemana + ' temp: ' + temp + ' diaSemanaHabilitado: ' + diaSemanaHabilitado + ' tempHora: ' + tempHora + ' horaIni: ' + horaIni + ' horaFim: ' + horaFim + ' horaAtual: ' + horaAtual);
	
	if (diaSemanaHabilitado.indexOf(diaSemana) == -1 || (horaAtual < horaIni || horaAtual > horaFim )) {
		return true;
	}	
	return false;
}

function replaceAll(str, rep, valor) {
	var idx = str.indexOf(rep);
	if (idx > 0) {
		return replaceAll(str.substring(0,idx) + valor + str.substring(idx + rep.length), rep, valor);
	}
	return str;
}

function verificaEmpresarial_P1_Ativa(nota) {
	//0,5 nota x e nota y
	//var parametro = dadosCliente['parametros']['paramL'];
	var parametro = ';5-10';
	var nota = parseInt('4');
	
	if (parametro == '') { //se o parametro nao tiver valor assume que esta fora de horario
		return false;
	}
	
	var temp = parametro.split(";");
	var tempNota = temp[1].split(",");
	var notaIni = parseInt(tempNota[0], 10);
	var notaFim = parseInt(tempNota[1], 10);

	alert( ' tempNota: ' + tempNota + ' notaIni: ' + notaIni + ' notaFim: ' + notaFim + ' notaDigitada : ' +nota );
	
	if ((nota >= notaIni && nota <= notaFim )) {
		return true;
	}	
	return false;
}


	function verificaNotaAtendimento(nota){
		var parametros = {
				"NotaAtendimentoEmpresarial" : "05-10",		
			};
		
		var retorno =  "NotaAtendimentoEmpresarial";
		var nota = parseInt('4');
		var ret = parametros[retorno].split("-");
		var notaIni = parseInt(ret[0], 10);
		var notaFim = parseInt(ret[1], 10);
				
		//return 'notaIni : ' + notaIni +  ' notafim : ' + notaFim + ' nota : ' + nota;
		
		if ((nota >= notaIni && nota <= notaFim )) {
			return true;
		}	
		return false;
		
		
	}
	
	function armazenarResposta_String(numPergunta, valor, dadosCliente){
		var uraQualidade = "URA_QUALID_RESP_" ;
		var dadosCliente = {
				"numPergunta" : "4",
				"valor" : "05",
				"skill" : "SUPORTE_EBILLING",
				"Pesquisa3" : "URA_QUALID_RESP_3:5"
		};
		var numPergunta =  parseInt(dadosCliente['numPergunta']);
		var valor =  parseInt(dadosCliente['valor']);
		//var skill =  dadosCliente['skill'];
		//alert(numPergunta+valor);
		if (numPergunta == 4){
			var aux = dadosCliente['Pesquisa3'];
			return aux + ";"+ uraQualidade + numPergunta+":"+valor;
			//return uraQualidade + numPergunta+":"+valor;
		}
		return uraQualidade + numPergunta+":"+valor; //+";"+skill;	
	}

function getDDD(ani){
	return ani.substring(0,2);
}

function verificaNotaAtendimentoMedias(dadosCliente){
	//Valor inicial x = 8
	var parametros = {
			"NotaAtendPesquisaEmpresarialMedias_P3" : "08-08",		
		};
	
	var retorno =  "NotaAtendPesquisaEmpresarialMedias_P3";
	var nota = parseInt('09');
	var ret = parametros[retorno].split("-");
	var notaIni = parseInt(ret[0], 10);
	var notaFim = parseInt(ret[1], 10);
			
	return 'notaIni : ' + notaIni +  ' notafim : ' + notaFim + ' nota : ' + nota;
	
	if ((nota >= notaIni && nota <= notaFim )) {
		return true;
	}	
	return false;
	
}

function verificaNotaAtendimentoCorpOnline(dadosCliente){
	//Valor inicial x = 8
	var dadosCliente = {"Parametros" :{
			"02_P3_CORP_ONLINE_VAL_DE" : "0",	
			"02_P3_CORP_ONLINE_VAL_AT" : "6",
		}};
	
	var notaIni = parseInt(dadosCliente['Parametros']['02_P3_CORP_ONLINE_VAL_DE']);
	var notaFim = parseInt(dadosCliente['Parametros']['02_P3_CORP_ONLINE_VAL_AT']);	
	var nota = parseInt('07');
			
	//return 'notaIni : ' + notaIni +  ' notafim : ' + notaFim + ' nota : ' + nota;
	
	if ((nota >= notaIni && nota <= notaFim )) {
		return true;
	}	
	return false;
	
}


function verificaNotaAtendimentoMediasUmParam(dadosCliente){
	var dadosCliente = {"Parametros" :{
		"04_P3_EMP_MEDIAS_VALOR" : "2",	
		
	}};
	
	var valorNota = parseInt(dadosCliente['Parametros']['04_P3_EMP_MEDIAS_VALOR']);
	//var nota = parseInt(dadosCliente['NotaAtendPesquisaEmpresarialMedias_P3']);    
	var nota = parseInt('03')	
	
	if ((nota == valorNota )) {
		return true;
	}	
	return false;
	
}

function verificaNotaAtendimentoCorpOnlineUmParam(dadosCliente){
	//Valor inicial x = 8
	var dadosCliente = {"Parametros" :{
			"02_P3_CORP_ONLINE_VALOR" : "2",	
			
		}};
	
	var valorNota = parseInt(dadosCliente['Parametros']['02_P3_CORP_ONLINE_VALOR']);
	//var nota = parseInt(dadosCliente['NotaAtendPesquisaCorpOnline_P3']);
	var nota = parseInt('02');
			
	//return 'valorNota : ' + valorNota +  ' nota : ' + nota;
	
	if ((nota == valorNota )) {
		return true;
	}	
	return false;
	
}



function armazenarResposta(dadosCliente){
	var ret = {};
	//var stringTeste = "URA_QUALID_RESP_" ;//ret['URA_QUALID_RESP'] = "";	
	var dadosCliente = {
			"numPergunta" : "1",
			"valor" : "05",
			"skill" : "SUPORTE_EBILLING"
	};
	var numPergunta =  parseInt(dadosCliente['numPergunta']);
	var valor =  dadosCliente['valor'];
	var skill =  dadosCliente['skill'];
	//alert(numPergunta+valor);
	if (numPergunta == 4){
		var aux = "3";
		//numPergunta = aux;
		ret['URA_QUALID_RESP_'] = numPergunta+";"+valor;
	}
	ret['URA_QUALID_RESP_'] = numPergunta+";"+valor;
	
	//ret['URA_QUALID_RESP'].push( {'numPergunta' : (dadosCliente['numPergunta'])});
	//ret['URA_QUALID_RESP'].push( {'valor' : (dadosCliente['valor'])});
	
	return jsonLog(ret);
}

function gerarLog(dadosCliente) {
	
	var dadosCliente = {"Parametros" :{"AMBIENTE_EAI":"P","AMBIENTE_FRAMEWORK":"P","NIVEL_LOG":"5","HORARIO_VERAO":"S","VDN_CONTINGENCIA":"77550","ATIVA_MONITORIA_PATROL":"S","RP_TRANSFER":"64923","DDD_PESQUISA_EMPRESARIAL":"11;12;13;14;15;16;17;18;19;21;22;24;27;28;31;32;33;34;35;37;38;41;42;43;44;45;46;47;48;49;51;53;54;55;61;62;63;64;65;66;67;68;69;71;73;74;75;77;79;81;82;83;84;85;86;87;88;89;91;92;93;94;95;96;97;98;99","DDD_R2":"41;42;43;44;45;46;47;48;49;51;53;54;55;61;62;63;64;65;66;67;68;69","P1_ATIVA":"S","P1_VAL_DE":"0","P1_VAL_AT":"1","P2_ATIVA":"S","P2_VAL_DE":"0","P2_VAL_AT":"1","P2_VALOR":"2","P3_ATIVA":"S","P3_VAL_DE":"0","P3_VAL_AT":"1","P3_VALOR":"2","P4_ATIVA":"S","P4_VAL_DE":"0","P4_VAL_AT":"1","P4_VALOR":"2","VALIDAR_DDD_ATIVA":"N","VALIDAR_DDD_REGIAO":"T","FERIADO_ATIVA":"S","HOR_ATENDIMENTO_ATIVA":"S","DIA_ATENDIMENTO_INICIO":"2","DIA_ATENDIMENTO_FINAL":"6","HOR_ATENDIMENTO_INICIO":"00:00","HOR_ATENDIMENTO_FINAL":"06:00","01_01":"ANATEL","01_TRANSFERE_ANATEL":"N","01_FER_ANATEL_ATIVA":"N","01_HOR_ANATEL_ATIVA":"S","01_HOR_ANATEL_INICIO":"09:00","01_HOR_ANATEL_FINAL":"21:00","01_DDD_ANATEL_ATIVA":"S","01_DDD_ANATEL_REGIAO":"T","01_DIA_ANATEL_INICIO":"1","01_DIA_ANATEL_FINAL":"5","01_P1_ANATEL_ATIVA":"N","01_P1_ANATEL_VAL_DE":"0","01_P1_ANATEL_VAL_AT":"6","01_P1_ANATEL_VALOR":"2","01_P2_ANATEL_ATIVA":"S","01_P2_ANATEL_VAL_DE":"0","01_P2_ANATEL_VAL_AT":"6","01_P2_ANATEL_VALOR":"2","01_P3_ANATEL_ATIVA":"N","01_P3_ANATEL_VAL_DE":"0","01_P3_ANATEL_VAL_AT":"6","01_P3_ANATEL_VALOR":"2","01_P4_ANATEL_ATIVA":"N","01_P4_ANATEL_VAL_DE":"0","01_P4_ANATEL_VAL_AT":"6","01_P4_ANATEL_VALOR":"2","02_02":"CORP ONLINE","02_TRANSFERE_CORP_ONLINE":"N","02_FER_CORP_ONLINE_ATIVA":"S","02_HOR_CORP_ONLINE_ATIVA":"S","02_HOR_CORP_ONLINE_INICIO":"08:00","02_HOR_CORP_ONLINE_FINAL":"19:30","02_DIA_CORP_ONLINE_INICIO":"1","02_DIA_CORP_ONLINE_FINAL":"5","02_P1_CORP_ONLINE_ATIVA":"S","02_P1_CORP_ONLINE_VAL_DE":"0","02_P1_CORP_ONLINE_VAL_AT":"6","02_P1_CORP_ONLINE_VALOR":"2","02_P1_CORP_ONLINE_NV_QST":"8","02_P2_CORP_ONLINE_ATIVA":"S","02_P2_CORP_ONLINE_VAL_DE":"0","02_P2_CORP_ONLINE_VAL_AT":"6","02_P2_CORP_ONLINE_VALOR":"2","02_P3_CORP_ONLINE_ATIVA":"S","02_P3_CORP_ONLINE_VAL_DE":"0","02_P3_CORP_ONLINE_VAL_AT":"6","02_P3_CORP_ONLINE_VALOR":"2","02_P3_CORP_ONLINE_NV_QST1":"7","02_P3_CORP_ONLINE_NV_QST2":"8","02_P4_CORP_ONLINE_ATIVA":"S","02_P4_CORP_ONLINE_VAL_DE":"0","02_P4_CORP_ONLINE_VAL_AT":"6","02_P4_CORP_ONLINE_VALOR":"2","03_03":"EMPRESARIAL","03_TRANSFERE_EMPRESARIAL":"N","03_FER_EMPRESARIAL_ATIVA":"S","03_HOR_EMPRESARIAL_ATIVA":"S","03_HOR_EMPRESARIAL_INICIO":"08:00","03_HOR_EMPRESARIAL_FINAL":"19:30","03_DIA_EMPRESARIAL_INICIO":"1","03_DIA_EMPRESARIAL_FINAL":"5","03_P1_EMPRESARIAL_ATIVA":"S","03_P1_EMPRESARIAL_VAL_DE":"0","03_P1_EMPRESARIAL_VAL_AT":"1","03_P1_EMPRESARIAL_VALOR":"2","03_P2_EMPRESARIAL_ATIVA":"S","03_P2_EMPRESARIAL_VAL_DE":"0","03_P2_EMPRESARIAL_VAL_AT":"6","03_P2_EMPRESARIAL_VALOR":"2","03_P3_EMPRESARIAL_ATIVA":"S","03_P3_EMPRESARIAL_VAL_DE":"0","03_P3_EMPRESARIAL_VAL_AT":"6","03_P3_EMPRESARIAL_VALOR":"2","03_P4_EMPRESARIAL_ATIVA":"S","03_P4_EMPRESARIAL_VAL_DE":"0","03_P4_EMPRESARIAL_VAL_AT":"6","03_P4_EMPRESARIAL_VALOR":"2","04_04":"EMPRESARIAL MEDIAS","04_TRANSFERE_EMP_MEDIAS":"N","04_FER_EMP_MEDIAS_ATIVA":"S","04_HOR_EMP_MEDIAS_ATIVA":"S","04_HOR_EMP_MEDIAS_INICIO":"08:00","04_HOR_EMP_MEDIAS_FINAL":"19:30","04_DIA_EMP_MEDIAS_INICIO":"1","04_DIA_EMP_MEDIAS_FINAL":"5","04_P1_EMP_MEDIAS_ATIVA":"S","04_P1_EMP_MEDIAS_VAL_DE":"0","04_P1_EMP_MEDIAS_VAL_AT":"6","04_P1_EMP_MEDIAS_VALOR":"2","04_P1_EMP_MEDIAS_NV_QST":"8","04_P2_EMP_MEDIAS_ATIVA":"S","04_P2_EMP_MEDIAS_VAL_DE":"0","04_P2_EMP_MEDIAS_VAL_AT":"6","04_P2_EMP_MEDIAS_VALOR":"2","04_P3_EMP_MEDIAS_ATIVA":"S","04_P3_EMP_MEDIAS_VAL_DE":"0","04_P3_EMP_MEDIAS_VAL_AT":"6","04_P3_EMP_MEDIAS_VALOR":"2","04_P3_EMP_MEDIAS_NV_QST1":"7","04_P3_EMP_MEDIAS_NV_QST2":"8","04_P4_EMP_MEDIAS_ATIVA":"S","04_P4_EMP_MEDIAS_VAL_DE":"0","04_P4_EMP_MEDIAS_VAL_AT":"6","04_P4_EMP_MEDIAS_VALOR":"2"}}; 
	var NIVEL_LOG = parseInt(dadosCliente['Parametros']['NIVEL_LOG']);
	
	alert(NIVEL_LOG);
	if (NIVEL_LOG == 5) {
		return true;
	}
	return false;
}


function verificaEmpresarial_DDD_R2(dadosCliente,ddd) {
	var dadosCliente = {"Parametros" :{"DDD_PESQUISA_EMPRESARIAL" : "11;12;13;14;15;16;17;18;19;21;22;24;27;28;31;32;33;34;35;37;38;41;42;43;44;45;46;47;48;49;51;53;54;55;61;62;63;64;65;66;67;68;69;71;73;74;75;77;79;81;82;83;84;85;86;87;88;89;91;92;93;94;95;96;97;98;99"}};
	var DDD_EMPRESARIAL_R2 = dadosCliente['Parametros']['DDD_PESQUISA_EMPRESARIAL'].split(';');
	
	var ddd = ddd;
	
	if (DDD_EMPRESARIAL_R2 != undefined) {
		if (DDD_EMPRESARIAL_R2.indexOf(ddd) >= 0) {
			return true;
		}
	}
	return false;
}


function getMenuUraQualidadeConfirmarNota(dadosCliente){
	var ret = {};
	ret['frases'] = [];
	
	var dadosCliente = {
		"NotaAtendimentoUraQualidade" : "05",		
	};
	var nota =  "NotaAtendimentoUraQualidade";
		
	// Você avaliou o atendimento com a nota XX. 
	ret['frases'].push({ 'frase' : 'MSG330.vox' });
	//ret['frases'].push( {'string' : nota });
	ret['frases'].push( {'string' : (dadosCliente['NotaAtendimentoUraQualidade'])});
	//Para confirmar sua nota digite 2
	ret['frases'].push({ 'frase' : 'MSG330.vox' });
	ret['promptnoinput'] = '2428.vox';
	ret['promptnomatch'] = '2428.vox';
	ret['promptagradecimento'] = '2427.vox';
	ret['maxtentativas'] = '2';
	ret['opcsvalidas'] = '2';
	
	return jsonLog(ret);
}


function getMenuUraQualidadePergunta1(dadosCliente){
	var ret = {};
	ret['frases'] = [];
	
	
	//Sua solicitação foi atendida neste atendimento? Digite 2 para sim e 3 para não
	ret['frases'].push({ 'frase' : 'MSG248.vox' });
	ret['promptnoinput'] = 'MSG346.vox';
	ret['promptnomatch'] = 'MSG338.vox';
	ret['maxtentativas'] = '2';
	ret['opcsvalidas'] = '23';
	
	return jsonLog(ret);
}

function getDDDPesquisaEmpresarial(ddd) {
	var DDD_PESQUISA_EMPRESARIAL = ("11;12;15;88;98");
	var ddd = ddd;
	
	if (DDD_PESQUISA_EMPRESARIAL != undefined) {
		if (DDD_PESQUISA_EMPRESARIAL.indexOf(ddd) >= 0) {
			return true;
		}
	}
	return false;
}

//function getTransfereEmpresarial() {
//	var TRANSFERE_EMPRESARIAL = ("NAO");
	
//	if (TRANSFERE_EMPRESARIAL != undefined) {
//		if (TRANSFERE_EMPRESARIAL == "SIM") {
//			return true;
//		}
//	}
//	return false;
//}


var cDiasSemana = ['Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado'];

function formataDataAtual(formato) {
	return formataData(new Date(), formato);
}

function getFeriados() {
	return ("0101;1702;1802;1805;2505");
}


/*
 * formato feriados "0101;1702;1802"
 */
function ehFeriado(dadosCliente) {
	var dadosCliente = {"Feriados":"0101;3003;2104;0105;3105;0906;0709;1210;0211;1511;2512"};
	var feriados = dadosCliente['Feriados'].split(';');
	alert(feriados);
	if (feriados != undefined) {
		if (feriados.indexOf(formataDataAtual("ddMM")) >= 0) {
			return true;
		}
	}
	return false;
}

function ehFeriado_Old(dadosCliente) {
	var datasjson = "";
	var datasjsonSplit ="";
	var dataconcatSplit="";
	var dadosCliente = {"paramferiados" :{"01":"01","03":"30","04":"21","05":"31;01","06":"31;08","09":"07","10":"12","11":"15;02","12":"25"}};
	var feriados = dadosCliente['paramferiados']; //+'['+mes+']';	
	var hoje = new Date();
	var dia = hoje.getDate();
	var mes = hoje.getMonth()+1;
	var dataAtual = "0"+ dia + "0"+ mes;
	//31,0105 = dd,ddMM
	
	for (var property in feriados){
		  //alert(property + " = " + feriados[property]);
		  datasjson = datasjson + (feriados[property]+property) +';';		  		
		  //datasjson = feriados[property]+property;
		  var aux = (feriados[property]+property);
		  alert ('datasjson : '+datasjson);
		  alert ('aux: '+aux);
		  alert(datasjson.length);
		  if (aux.length > 5){
			  alert('passou');
			  var aux2 = aux.substr(0,2); 
			  var aux3 = aux.substr(3,2);
			  var aux4 = aux.substr(5,2);
			  alert('aux 2: '+aux2+ ' aux 3 : ' + aux3 +' aux 4 : ' +aux4);
			  var dataconcat = aux2+aux4+","+aux3+aux4;
			  alert('dataconcat '+dataconcat);
			  dataconcatSplit = dataconcat.split(',');
			  alert('dataconcatSplit '+dataconcatSplit);
			  alert('dataAtual '+dataAtual);
			  if (dataconcatSplit.indexOf(dataAtual) >= 0 ) {
				  alert('dentro do if');
				  return true;
			  }
		  }
		  datasjsonSplit = datasjson.split(';');
		  alert (datasjsonSplit);	
		  
	}
	//alert(datasjsonSplit);	   
	if (datasjsonSplit.indexOf(dataAtual) >= 0 ) {
		return true;
    }

	return false;	
}

function formataData(data, formato) {
;
	if (formato == null || formato.length == 0) {
		return "";
	}

	var retorno = "";
	var letra = formato.charAt(0);
	var palavra = letra;

	for (var i=1; i<formato.length; i++) {
		var proximaLetra = formato.charAt(i);
		if (letra == proximaLetra) {
			palavra += proximaLetra;
		} else {
			if (formatos[palavra] == undefined) {
				retorno += palavra;
			} else {
				retorno += formatos[palavra](data);
			}				
			letra = proximaLetra;
			palavra = letra;	
		}
	}
	
	if (formatos[palavra] == undefined) {
		retorno += palavra;
	} else {
		retorno += formatos[palavra](data);
	}

	return retorno;	

}

function jsonLog(json, level, text) {	
	if (level == null) {
		level = 0;
	}
	if (text == null) {
		text = '';
	}
	
	for (var prop in json) {
		for (var a = 0; a < level; a++) {
			text += ' ';
		}
		
		text += '"'+prop+'": ';

		if (typeof json[prop] == "string") {
			text += '"'+json[prop]+'"'+"\n";
		} else if (typeof json[prop] == "number") {
			text += '"'+json[prop]+'"'+"\n";
		} else if (typeof json[prop] == "boolean") {
			text += '"'+json[prop]+'"'+"\n";			
		} else {
			text += '{'+"\n";
			text = jsonLog(json[prop], level+1, text);
			for (var a = 0; a < level; a++)	{
			  text += ' ';
			}
			text += '}'+"\n";
		}
	}
	return text;
}
function criaObjeto(nome, valor) {
	var objeto = {};
	objeto[nome] = valor;
	return jsonLog(objeto);
}

function adicionaDadosNavegacao(objeto, nome, valor) {
	if ( ! objeto[nome]) {
		objeto[nome] = valor;
	} else {
		objeto[nome] += valor;
	}		
	return jsonLog(objeto);
}

function adicionaDados(objeto, nome, valor) {
	//var objeto = {};
	objeto[nome] = valor;
	return jsonLog(objeto);
}

function obtemCampo(campo, conjuntoDeDados)
{
    //Pilha de objetos à consultar
    var pilhaDeObjetos = [];    
    //Pilha de valores/objetos encontrados
    var valoresEncontrados = [];
    do {
        for(var prop in conjuntoDeDados) {
            var valor = conjuntoDeDados[prop];          
            //Se encontrou, adiciona o valor à pilha de encontrados
            if(campo == prop){
                valoresEncontrados.unshift(valor);
            }           
            //Se for um objeto, guarda na pilha para ser analisado posteriormente
            if (typeof valor == "object") {
                pilhaDeObjetos.push(valor);         
            }           
        }
        conjuntoDeDados = pilhaDeObjetos.pop();
    }
    while(conjuntoDeDados); //Itera enquanto a pilhaDeObjetos estiver retornando valores    
    return valoresEncontrados;
}


function getEventoNome(numero) {
	var eventos = {		
			'1' : '[P1] Sua solicitação foi atendida neste atendimento? Digite 2 para sim e 3 para nao ',
			'2' : 'teste2',
			'3' : 'teste3',
			'4' : 'teste4'
				
	};
	
	var nomeEvento = eventos[numero];
	alert(nomeEvento);
	if (nomeEvento == undefined || nomeEvento == '') {
		nomeEvento = 'Nao_Definido_' + numero;
	}
	return (removerAcentos(nomeEvento)).substring(0,64);
}

function getFrasesProtocolo(dados) {
	var ret = {};
	var i = 0;
	var frases = [];
	
	var protocolo = dados['protocolo'];
	
	if (protocolo) {
		frases[i++] = {"frase" : "MSG011.vox"};
		frases[i++] = {"string" : protocolo};
	}
	
	return frases;
}

function concatenaAtachs(dadosCliente) {
	
	var dadosCliente = {
			"ANI" : "11958070717",
			"GVPSessionID" : "5745E2AD-9D81-4255-C7AD-AE9A55174B0F",
			"COD_SEGMENTO" : "0",
			"TLB_MAT_NDS" : "BC761851",
			"TLB_LOGIN_PLATAFORMA" : "BC761851",
			"TLB_SKILL" : "CONTEST_OITOT_FIBRA",
			"UCID_SBC" : "00096630681623763543",
			"CONN_ID" : "04e20305bbbc6227",
			"TLB_SITE" : "CPE",
			"APP_ID" : "URA_FIBRA",
			"tel_digitado" : "7133034192",
			"CPF_CGC" : "08806039504"
	};
	var ANI =  (dadosCliente['ANI']);
	var GVPSessionID =  (dadosCliente['GVPSessionID']);
	var COD_SEGMENTO =  (dadosCliente['COD_SEGMENTO']);
	var TLB_MAT_NDS =  (dadosCliente['TLB_MAT_NDS']);
	var TLB_LOGIN_PLATAFORMA =  (dadosCliente['TLB_LOGIN_PLATAFORMA']);
	var TLB_SKILL =  (dadosCliente['TLB_SKILL']);
	var UCID_SBC =  (dadosCliente['UCID_SBC']);
	var CONN_ID =  (dadosCliente['CONN_ID']);
	var TLB_SITE =  (dadosCliente['TLB_SITE']);
	var APP_ID =  (dadosCliente['APP_ID']);
	var tel_digitado =  (dadosCliente['tel_digitado']);
	var CPF_CGC =  (dadosCliente['CPF_CGC']);

	if ( ! dadosCliente['attach']) {
		dadosCliente['attach'] = "ANI...................:" + ANI + ";" + "GVPSessionID.: .......:" + GVPSessionID + ";" + "COD_SEGMENTO..........:" + COD_SEGMENTO + ";"+ "TLB_MAT_NDS...........:" + TLB_MAT_NDS +";"+"TLB_LOGIN_PLATAFORMA..:" + TLB_LOGIN_PLATAFORMA +";"+ "TLB_SKILL.............:" + TLB_SKILL +";"+ "UCID_SBC..............:"+ UCID_SBC +";"+ "CONN_ID...............:" + CONN_ID +";"+ "TLB_SITE..............:" + TLB_SITE +";"+ "APP_ID................:"+ APP_ID +";"+ "tel_digitado..........:" + tel_digitado +";"+ "CPF_CGC...............:" + CPF_CGC;
		return dadosCliente['attach'];
	} 
	return dadosCliente;
}

function adicionaEvento(dadosCliente, evento, nota) {
	//'1' : '[P1] Sua solicitação foi atendida neste atendimento? Digite 2 para sim e 3 para não',
	//'2' : '[P2] Por favor, avalie o nosso atendente. Digite uma nota de 1 a 5 considerando 1 para muito insatisfeito e 5 para muito satisfeito.',
	//'3' : '[P3] Para terminar, gostaríamos de saber se precisou ligar mais de uma vez para resolver o mesmo assunto. Digite 2 para sim e 3 para não',
	//'4' : '[P4] Para finalizar, voce recomendaria a Oi para um amigo ou parente? Digite um valor entre 0 e 10, onde 0 significa nada provavel e 10 muito provavel recomendar.'
	var dadosCliente = {
			"navegacao" : "",
			"evento" : "[P1] Sua solicitação foi atendida neste atendimento? Digite 2 para sim e 3 para não",
			"nota" : "09",
			"skill" : "[P3] Para terminar, gostaríamos de saber se precisou ligar mais de uma vez para resolver o mesmo assunto. Digite 2 para sim e 3 para não"
	};
	var evento =  (dadosCliente['evento']);
	var nota =  (dadosCliente['nota']);
	var dataHora = new Date();
	dataHora = formataDataAtual("yyyy/MM/dd hh:mm:ss");

	if ( ! dadosCliente['navegacao']) {
		dadosCliente['navegacao'] = dataHora + "#" + evento + " ... ["+nota+"]";
		return dadosCliente['navegacao'];
	} else {
		dadosCliente['navegacao'] += ";" + dataHora + "#" + evento + " ... ["+nota+"]";
		return dadosCliente['navegacao'];
	}
	for (var prop in eventos) {
		if (eventos[prop] == evento) {
			dadosCliente['last_point'] = prop;
			return dadosCliente['last_point'];
			alert('teste');
			break;
		}
	}
	return dadosCliente;
}



function formata255(valor) {
	if (valor.length > 255) {
		return valor.substr(0, 255);
	}
	return valor;
}

/**
 * Remove acentos de strings
 * @param  {String} string acentuada
 * @return {String} string sem acento
 */
var map={"â":"a","Â":"A","à":"a","À":"A","á":"a","Á":"A","ã":"a","Ã":"A","ê":"e","Ê":"E","è":"e","È":"E","é":"e","É":"E","î":"i","Î":"I","ì":"i","Ì":"I","í":"i","Í":"I","õ":"o","Õ":"O","ô":"o","Ô":"O","ò":"o","Ò":"O","ó":"o","Ó":"O","ü":"u","Ü":"U","û":"u","Û":"U","ú":"u","Ú":"U","ù":"u","Ù":"U","ç":"c","Ç":"C"};
function removerAcentos(s){ return s.replace(/[\W\[\] ]/g,function(a){return map[a]||a}).replace(" - ","-").replace(" – ","-").replace(" – ","-").replace(/\s/g,"_") };


</script>

</body>
</html>